using System;
using System.ComponentModel;
using System.Collections.Generic;
using MVCBlogo.NET.BO;
using MVCBlogo.NET.DAL;


namespace MVCBlogo.NET.BLL
{
    public class LogManager
    {

        public static int Count(int StartRow, int PageSize)
        {
            return LogDB.Count(StartRow, PageSize);
        }

        public static Log GetItem(long id)
        {
            return LogDB.GetItem(id);
        }

        public static List<Log> GetList()
        {
            return LogDB.GetList();
        }

        public static List<Log> GetList(int StartRow, int PageSize)
        {
            return LogDB.GetList(StartRow, PageSize);
        }


        public static long Save(Log myLog)
        {
            return LogDB.Save(myLog);
        }

        public static bool Delete(Log MyLog)
        {
            if (MyLog != null)
                return LogDB.Delete(MyLog.id);
            else
                return false;
        }

        public static void DeleteAll()
        {
            LogDB.DeleteAll();
        }

    }

    
}